#include "oracle-oci-7.x.hh"


/*
*  UESQLC::oracle-oci-7.x internal variables initiation.
*/

TOci7xManager   htOci7xManager;


/*
*  Name:      test-select-1.uesql.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Test for UESQL
*  Date:      $Date: 1998/10/29 23:10:30 $
*  Revision:  $Revision: 1.3 $
*
*  Copyright (C) 1996-1998  Rafael Jesus Alcantara Perez <ralcan@vnet.es>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/


int main (void)
{

  /* Single line multi-line comment */
  /*
  * Multi-line comment
  */
  /* Single line multi-line comment */
  // Single line comment
{
/*
*  OCI 7.x instructions.
*/
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT FIELD1 FROM TABLE1 WHERE ( FIELD3 = FIELD4 )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, VAR1);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT FIELD1 INTO  FROM TABLE1 WHERE ( FIELD3 = FIELD4 )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT FIELD1 FROM TABLE2");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, VAR1);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT FIELD1 INTO  FROM TABLE2");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT FIELD1 FROM TABLE1 WHERE ( FIELD1 = 'holaadios -- hola' )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, VAR1);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT FIELD1 INTO  FROM TABLE1 WHERE ( FIELD1 = 'holaadios -- hola' )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
{
Cda_Def*   hpsCurrentCda_def;
int        J = 1;

htOci7xManager.initiateEmbeddedVariableMap (NULL , NULL);
htOci7xManager.stSqlInstruction = htOci7xManager.instantiateString ("SELECT FIELD1 FROM TABLE1 WHERE ( FIELD1 = B'0101001110101' )");
OCI7X_EXEC_CURSOR (htOci7xManager.stSqlInstruction, "OCI7XCN_AUX");
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
hpsCurrentCda_def = htOci7xManager.cursor ("OCI7XCN_AUX");
if ( !hpsCurrentCda_def )
{
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
else
{
OCI7X_DEFINE_INPUT (hpsCurrentCda_def, J, VAR1);
OCI7X_UPDATE_STATUS (htOci7xManager.iCode, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
++J;
  htOci7xManager.iCode = ofetch (hpsCurrentCda_def);
  OCI7X_CHECK_SINGLENESS (hpsCurrentCda_def, htOci7xManager.closeCursor ("OCI7XCN_AUX"); exit (1););
  htOci7xManager.closeCursor ("OCI7XCN_AUX"); 
}
}if ( false )
{
  htOci7xManager.stSqlInstruction.format ("SELECT FIELD1 INTO  FROM TABLE1 WHERE ( FIELD1 = B'0101001110101' )");
  OCI7X_EXEC (htOci7xManager.stSqlInstruction);
  OCI7X_UPDATE_STATUS (htOci7xManager.iCode, exit (1););
}
}
  return 0;

}  /* main() */

/* the_end() */
